---
updatedAt: 2026-11-11T07:32:40.000Z
agentTools:
  projectIndex: https://docs.yotpo.com/llms.txt
---

# Retrieve a list of unsubscribers

Retrieves the email addresses unsubscribed from Yotpo emails, with the email type each address is unsubscribed from. Paginate with `count` and `page`.

> 👍 How to use this endpoint
>
> * Currently, the returned `unsubscribers.id` is not supported in the Yotpo API.
> * This request returns the first 5000 responses only. If your list of unsubscribers exceeds 5000 email addresses, you must query the 'count' and 'page' params.
> * For example responses, click the relevant status code on the right.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Reviews API (V1)",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.yotpo.com",
      "description": "Main API server for authenticated and write operations"
    }
  ],
  "components": {
    "securitySchemes": {
      "X-Yotpo-Token": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Yotpo-Token",
        "description": "Your Yotpo account access token. See [Yotpo Authentication](ref:yotpo-authentication) to learn how to generate your token."
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Missing or invalid access token",
        "content": {
          "application/json": {
            "examples": {
              "Unauthorized": {
                "value": {
                  "status": {
                    "message": "You are not authorized to access this page.",
                    "code": 401,
                    "error_type": "Exceptions::AccessDenied"
                  }
                }
              }
            },
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Human-readable error message"
                    },
                    "code": {
                      "type": "integer",
                      "description": "HTTP status code"
                    },
                    "error_type": {
                      "type": "string",
                      "description": "Internal error class"
                    }
                  },
                  "description": "Error details."
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "X-Yotpo-Token": []
    }
  ],
  "paths": {
    "/apps/{store_id}/unsubscribers": {
      "get": {
        "summary": "Retrieve a list of unsubscribers",
        "description": "Retrieves the email addresses unsubscribed from Yotpo emails, with the email type each address is unsubscribed from. Paginate with `count` and `page`.",
        "operationId": "retrieve-a-list-of-unsubscribers",
        "parameters": [
          {
            "name": "store_id",
            "in": "path",
            "description": "The store ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "count",
            "in": "query",
            "description": "Number of unsubscribers to return",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number to return unsubscribers for",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": {\n    \"code\": 200,\n    \"message\": \"OK\"\n  },\n  \"response\": {\n    \"unsubscribers\": [\n      {\n        \"id\": 2038,\n        \"user_email\": \"test@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 2226,\n        \"user_email\": \"test2@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 2732,\n        \"user_email\": \"test3@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      },\n      {\n        \"id\": 2912,\n        \"user_email\": \"test4@example.com\",\n        \"email_type_id\": 1,\n        \"unsubscribed_by_name\": \"USER\"\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0,
                          "description": "HTTP status code."
                        },
                        "message": {
                          "type": "string",
                          "example": "OK",
                          "description": "Status message, for example `OK`."
                        }
                      },
                      "description": "Request status."
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "unsubscribers": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 2038,
                                "default": 0,
                                "description": "Unsubscribe record ID."
                              },
                              "user_email": {
                                "type": "string",
                                "example": "test@gmail.com",
                                "description": "The unsubscribed email address."
                              },
                              "email_type_id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0,
                                "description": "The email type the address is unsubscribed from, as a number from the Email types table on Remove a set of email addresses (for example `1` for post-purchase review requests and reminders)."
                              },
                              "unsubscribed_by_name": {
                                "type": "string",
                                "example": "USER",
                                "description": "Who unsubscribed the address: `USER` (the recipient) or `MODERATOR` (your store)."
                              }
                            }
                          },
                          "description": "Unsubscribe records."
                        }
                      },
                      "description": "Response payload."
                    }
                  }
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "GET https://api.yotpo.com/apps/YOUR_STORE_ID/unsubscribers"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "value": "application/json",
        "key": "Content-Type"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```